import 'package:flutter/material.dart';
import 'package:sk_base_mobile/util/util.dart';

class SkAppbar extends StatelessWidget implements PreferredSizeWidget {
  final String title;
  final List<Widget>? action;
  const SkAppbar({super.key, required this.title, this.action});

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: Text(
        title,
        style: TextStyle(fontSize: ScreenAdaper.height(30)),
      ),
      actions: action,
    );
  }

  @override
  Size get preferredSize => Size.fromHeight(kToolbarHeight);
}
